Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# Structure of the store.xml File

In TIBCO BusinessEvents Studio, based on the object management selection, the matching store provider `store.xml` file is picked and form-based UI is generated listing the configuration properties from `store.xml`.

## Sample store.xml File

The following is a sample of `store.xml` to add advanced properties for the Apache Ignite store.

For list of the tags that you can use, see XML Tags of the store.xml File.

For a complete list of advanced properties for Apache Ignite cache, see Cache and Store Advanced Properties.

    <store>
    	<type>Ignite</type>
    	<label>Apache Ignite</label>
    	<class>com.tibco.cep.ignite.store.IgniteStoreProvider</class>
    	<schema-generation></schema-generation>
    	<description>Apache Ignite</description>
    	<version>1.0</version>
    	<backingstore>false</backingstore>
    	<cache>true</cache>
    	<ttl>true</ttl>
    	<properties>
    	<property-group name="Connection" displayName="Connection">
    	<property name="wal-segment-size" displayName="wal segment size" type="Integer" default="67108864"   mandatory="false"/>
    	<property name="write-throttling-enable" displayName="write throttling enable	" type="Boolean" default="true" mandatory="false"/>
    	<property name="wal-mode" displayName="wal mode" type="String" default="LOG_ONLY" mandatory="false"/>
    	<property name="wal-store-path" displayName="wal store path" type="String" default="" mandatory="false"/>
    	<property name="data-region-checkpoint-page-buffer-size" displayName="checkpoint-page-buffer-size" type="Integer"
    	default="" mandatory="false"/>
    	<property name="wall-archive-after-inactivity" displayName="wall-archive-after-inactivity" type="Integer" default="" mandatory="false"/>
    	<property name="checkpoint-threads" displayName="checkpoint-threads" type="Integer" default="" mandatory="false"/>
    	<property name="checkpoint-write-order" displayName="checkpoint-write-order" type="String" default="RANDOM" mandatory="false"/>
    		<property name="metrics-log-frequency" displayName="metrics-log-frequency" type="Integer" default="0"
    		mandatory="false"/>
    		</property-group>
    	</properties>
    </store>

Copy

Sample store.xml for Apache Ignite Advanced Properties

    <store>
        <type>Ignite</type>
        <label>Apache Ignite</label>
        <class>com.tibco.cep.ignite.store.IgniteStoreProvider</class>
        <schema-generation></schema-generation>
        <description>Apache Ignite</description>
        <version>1.0</version>
        <backingstore>false</backingstore>
        <cache>true</cache>
        <ttl>true</ttl>
        <properties>
             <property-group name="Connection" displayName="Connection">
                <property name="wal-segment-size" displayName="wal segment size" type="Integer" default="67108864"   mandatory="false"/>
                <property name="write-throttling-enable" displayName="write throttling enable    " type="Boolean" default="true" mandatory="false"/>
                <property name="wal-mode" displayName="wal mode" type="String" default="LOG_ONLY" mandatory="false"/>
                <property name="wal-store-path" displayName="wal store path" type="String" default="" mandatory="false"/>
                <property name="data-region-checkpoint-page-buffer-size" displayName="checkpoint-page-buffer-size" type="Integer" default="" mandatory="false"/>
                <property name="wall-archive-after-inactivity" displayName="wall-archive-after-inactivity" type="Integer" default="" mandatory="false"/>
                <property name="checkpoint-threads" displayName="checkpoint-threads" type="Integer" default="" mandatory="false"/>
                <property name="checkpoint-write-order" displayName="checkpoint-write-order" type="String" default="RANDOM" mandatory="false"/>
                <property name="metrics-log-frequency" displayName="metrics-log-frequency" type="Integer" default="0" mandatory="false"/>
            </property-group>
        </properties>
    </store>

## XML Tags of the `store.xml` File

The following table lists the major tags available in the `store.xml` file and sample values for Apache Ignite and Apache Cassandra:

The store.xml File Tags
XMLS Tags | Purpose
--- | ---
<store> | Identifies that the enclosed XML content is for the store.
<type> | Sets the type of the store. The values are: `Ignite` `Cassandra`
<version> | Version number of the XML file. During the startup, TIBCO BusinessEvents Studio compares the version number of the default (version 1.0) and the custom `store.xml` file and displays settings accordingly. To only add new properties, you can keep the version number same. To add new properties as well as override existing properties, increment the version number.
<properties> | Container tag for property groups.
<property-group> | Container group to categorize the properties. You can provide display name to the property group which is displayed on the UI as a section containing all child properties.
<security> | Container group for security-specific properties. This displays a Security Enabled checkbox on the UI. The properties under this container are displayed on the UI only when the Security Enabled checkbox is selected.
<property> | Define the properties that you want to display on the UI. For each property, you can define the appropriate attribute. To display a list of options for the user, you can insert `<choices>` and `<choice>` tags inside the `<property>` tag. The following are the key attributes for the property tag: `name` - A unique name for this property, internally, this is used to get property values at the runtime. `displayName` - The label to be shown in the CDD UI against the property. `type` - The property type. The following are its valid values: `Boolean` - Use this to have a checkbox in the CDD UI for the boolean type properties. `Integer` - Use this to have a textbox with numeric validation for non decimal numeric type properties. `Double` - Use this to show a textbox with decimal number validation for decimal numeric type properties. `String` - Use this to show a textbox for String type properties. `File` - Use this to show a file browser in the CDD UI for properties that hold a file path. `default` - The default value for this property. `mandatory` - Use this to make the property mandatory. The valid values are: `true` - to make the property mandatory `false` - to not make the property `mask` - Set this to `true` for properties whose value must be masked such as password fields. You can add new (supported) properties under same property group or in a new property group. If you are overriding default properties, ensure to increment the version of the XML file. For a list of supported properties, see Structure of the store.xml File. Tip: Use only the suggested data types (the `type` attribute) for the existing and new properties. Using data types other than the suggested data types might result into unexpected errors.
<choices> | Container tag for options of the property value.
<choice> | Identifies the option of the property.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.